API Reference
Billing
Domains
Emails
Hooks applications
Hooks endpoints
Hooks event types
Hooks messages
Hooks portal
Log drains
Receiving
Risk
- Assess an event POST
- Report an assessment's outcome POST
- Add an allow or block list entry POST
- Create a rule POST
- Remove a list entry DELETE
- Delete a rule DELETE
- Forget a user DELETE
- Retrieve an assessment GET
- Retrieve a list entry GET
- Retrieve a rule GET
- Retrieve the risk settings GET
- List assessments GET
- List allow and block list entries GET
- List rules GET
- Update a rule PATCH
- Update the risk settings PATCH
Suppressions
Tracking
Webhook endpoints
Delete a rule
DELETE
/v1/risk/rules/{id}
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
id*stringThe rule's id.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"The rule was deleted.
application/json- response
- response
- …
object*"risk_rule"Value in
"risk_rule"id*stringdeleted*trueValue in
trueimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.risk.rules.delete("rskrule_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "risk_rule", "id": "string", "deleted": true}